<?php
/*
Plugin Name: Hello World
Description: Echos "Hello World" in footer of theme
Version: 1.0
Author: Chris Cagle
Author URI: http://www.cagintranet.com/
*/
 
# get correct id for plugin
$thisfile=basename(__FILE__, ".php");
 
# register plugin
register_plugin(
	$thisfile, //Plugin id
	'Light Theme admin Mod', 	//Plugin name
	'1.4', 		//Plugin version
	'Mateusz Skrzypczak',  //Plugin author
	'http://www.multicolor.stargard.pl/', //author website
	'Light Admin Theme for get simple now with config', //Plugin description
	'plugins', //page type - on which admin tab to display
	'hello_light_theme'  //main function (administration)
);


register_script('lightscript', $SITEURL.'plugins/light_theme/js/script.js', '0.1', TRUE);
register_style('lightstyle', $SITEURL.'plugins/light_theme/css/lightstyle.css','0.1', FALSE);

queue_script('lightscript', GSBACK); 
 
queue_style('lightstyle', GSBACK); 
 
# activate filter 
add_action('header','light_theme'); 
add_action('index-login','light_themeindex'); 
 
# add a link in the admin tab 'theme'
add_action('plugins-sidebar','createSideMenu',array($thisfile,'Light Theme settings'));
 
# functions
function light_theme() {
	
	
	 $plugin_id = 'lightadmin';
 
// Set up the folder name and its permissions
// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
$folder        = GSDATAOTHERPATH . '/' . $plugin_id . '/';
$lightadminbg  = $folder . 'lightadminbackgroundcolor.txt';
$lightadminbodycolor  = $folder . 'lightadminbodycolor.txt';
	$googlefonts  = $folder . 'googlefonts.txt';
	$fontfamily  = $folder . 'fontfamily.txt';
$fontsizebody  = $folder . 'fontsizebody.txt';
$ownstyle = $folder . 'ownstyle.txt';
$headersize = $folder . 'headersize.txt';
$h3size = $folder . 'h3size.txt';


	echo ('<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">');
	
	echo '<style> ';
	
	echo file_get_contents($googlefonts); echo'.header{ background:'; echo file_get_contents($lightadminbg );
	echo ' !important }
	
 .edit-nav a:hover{background:';echo file_get_contents($lightadminbg ) ;echo ' !important} 
	';echo '#sidebar .snav li a:link, #sidebar .snav li a:visited {background:';
echo file_get_contents($lightadminbg );
	echo ' !important } '; 
	echo '#page_submit{
	background:';echo file_get_contents($lightadminbg );echo'}';
	echo ' body{';
	echo file_get_contents($fontfamily); echo '
	background-color:';echo file_get_contents($lightadminbodycolor);echo'!important}';
	
echo file_get_contents($ownstyle);

echo 'body {font-size:';
	echo file_get_contents($fontsizebody);
	echo' !important}';
echo'#sitename{font-size:';
echo file_get_contents($headersize);

echo' !important}';

echo '#maincontent h3{ font-size:';

echo file_get_contents($h3size);
echo' !important}
	
	</style>';
	

	
	
	
	
	
	
	
}
function light_themeindex() {


 $plugin_id = 'lightadmin';
 
// Set up the folder name and its permissions
// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
$folder        = GSDATAOTHERPATH . '/' . $plugin_id . '/';
$lightadminbg  = $folder . 'lightadminbackgroundcolor.txt';
$lightadminbodycolor  = $folder . 'lightadminbodycolor.txt';
	$googlefonts  = $folder . 'googlefonts.txt';
	$fontfamily  = $folder . 'fontfamily.txt';
$ownstyle = $folder . 'ownstyle.txt';
$fontsizebody  = $folder . 'fontsizebody.txt';
$headersize = $folder . 'headersize.txt';


		$fontsizebody  = $folder . 'fontsizebody.txt';

	echo ('<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">');
	
	echo '<style> ';
	
	echo file_get_contents($googlefonts); echo'.header{ background:'; echo file_get_contents($lightadminbg ); echo ' !important }
	
 .edit-nav a:hover{background:';echo file_get_contents($lightadminbg ) ;echo ' !important} 
	';echo '#sidebar .snav li a:link, #sidebar .snav li a:visited {background:';
echo file_get_contents($lightadminbg );
	echo ' !important } '; 
	echo '#page_submit{
	background:';echo file_get_contents($lightadminbg );echo'}';
	echo 'body{';
	echo file_get_contents($fontfamily);echo'
	background-color:';echo file_get_contents($lightadminbg );echo'!important}';
	echo'#maincontent  h3{
		';echo file_get_contents($fontfamily) ;echo' !important }';
echo file_get_contents($ownstyle);
echo'body{font-size:';
	echo file_get_contents($fontsizebody);
echo'}
	</style>';
	
	
	
	echo ('<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">');


}





function hello_light_theme() {
	
 $plugin_id = 'lightadmin';
 
// Set up the folder name and its permissions
// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
$folder        = GSDATAOTHERPATH . '/' . $plugin_id . '/';
$lightadminbg  = $folder . 'lightadminbackgroundcolor.txt';
$lightadminbodycolor  = $folder . 'lightadminbodycolor.txt';
$googlefonts  = $folder . 'googlefonts.txt';
$fontfamily  = $folder . 'fontfamily.txt';
$ownstyle = $folder . 'ownstyle.txt';
$bgindex = $folder . 'bgindex.txt';
$fontsizebody = $folder . 'fontsizebody.txt';
$headersize = $folder . 'headersize.txt';
$h3size = $folder . 'h3size.txt';
$chmod_mode    = 0755;
$folder_exists = file_exists($folder) || mkdir($folder, $chmod_mode);
 
// Save the file (assuming that the folder indeed exists)


  
  
  	echo'

	
	 <form  action="#" style="margin:0 auto;" method="POST">
 <b>master color</b><br><input type="color" style="" value="'; echo file_get_contents($lightadminbg ) ; echo'"  name="bgcolor" />  default :19, 34, 56

<br>
 <b>body color</b><br>
 <input type="color" style="" value="';echo file_get_contents($lightadminbodycolor ) ;echo '"  name="bodycolor" />  default :235, 240, 246

 
 
  <br> 
 fonts is awesome !! check this out and fun! <a href="https://fonts.google.com/" target="_blank"> Google fonts use @import and put to the form</a>
 <br>
<input type="text" style="width:90%;padding:10px;border-radius:5px;" value="';echo file_get_contents($googlefonts ) ;echo '"  name="googlefont" />
<br> 
Put font-family: <br>

<input type="text" style="width:90%;padding:10px;border-radius:5px;" value="';echo file_get_contents($fontfamily ) ;echo '"  name="fontfamily" />
<br>

    Put font-size body: <br>

<input type="text" style="width:90%;padding:10px;border-radius:5px;" value="';echo file_get_contents($fontsizebody ) ;echo '"  name="fontsizebod" />
<br>

   Put font-size header: <br>

<input type="text" style="width:90%;padding:10px;border-radius:5px;" value="';echo file_get_contents($headersize ) ;echo '"  name="headers" />
<br>

   Put font-size h3 maincontent: <br>

<input type="text" style="width:90%;padding:10px;border-radius:5px;" value="';echo file_get_contents($h3size ) ;echo '"  name="h3" />
<br>

<br>
Put Your own style if you want
</br>	
 <textarea style="width:90%;padding:10px;border-radius:5px;height:300px" name="style" ">
 
 ';echo file_get_contents($ownstyle );echo'
 
 </textarea>
 
	
	
	<input type="submit" name="submit" style="background:#000;color:#fff;padding:10px;margin-top:10px;border:solid 0 ;border-radius:10px;" value="Save settings" />
 

 

 </form>';
 
 
 echo'<br><br>';

 	    
  if(isset($_POST['submit'])){
$bgcolor = $_POST['bgcolor'];
$bodycolor = $_POST['bodycolor'];
$googlefont = $_POST['googlefont'];
$googlefontfamily = $_POST['fontfamily'];
$style = $_POST['style'];
$fontsizebod = $_POST['fontsizebod'];
$backgroundindex = $_POST['backgroundindex'];
$headers = $_POST['headers'];
$h3 = $_POST['h3'];

  file_put_contents($lightadminbg , $bgcolor);
  file_put_contents($lightadminbodycolor , $bodycolor);
  file_put_contents($googlefonts , $googlefont);
  file_put_contents($fontfamily , $googlefontfamily);
  file_put_contents($ownstyle , $style);
  file_put_contents($bgindex , $backgroundindex);
  file_put_contents($fontsizebody , $fontsizebod);
  file_put_contents($headersize , $headers);
   file_put_contents($h3size , $h3);
   echo '<div style=" position:fixed;top:0;left:0; width:100%;background:green;color:#fff;border-radius:5px;padding:10px;text-align:center;">ok ! ';

  echo' choose a different page to see the changes';
  echo'</div>';
	
  };

  
  }	

?>